Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
08286 DIP/Input Minor Always Apr 7, 2022, 01:29 Apr 15, 2022, 06:12
Tester chaneman View Status Public Platform MAME (Official Binary)
Assigned To Steve Coomber Resolution Fixed OS Windows 10/11 (64-bit)
Status [?] Resolved Driver
Version 0.242 Fixed in Version 0.243 Build 64-bit
Fixed in Git Commit dda43f2 Github Pull Request # #9537
Summary 08286: takeoff: Lives, Bonus Life and Service DIPS no longer correct.
Description DIPS below Coin B are not correct.
Picture below shows Lives DIP set to 3 but 7
lives are given. Changing this DIP does change
the number of lives but they don't match setting.

Bonus Life DIP is same as above. Doesn't match
bonus printed on screen after inserting a credit.
This DIP is also affecting the number of lives
depending on it's setting.

Service Mode DIP not working.

Parent set and all other clones unaffected.
Steps To Reproduce Load and run game.
Change DIP settings as mentioned above and Reset game. Soft Reset F3 not working on this one.
Repeat for all DIPS noted.
Additional Information
Github Commit
Flags
Regression Version
Affected Sets / Systems takeoff
Attached Files
jpg file icon Take Off DIPS Incorrect.jpg (107,735 bytes) Apr 7, 2022, 01:29 Uploaded by chaneman
chaneman
Relationships
There are no relationship linked to this issue.
Notes
10
User avatar
No.20020
Steve Coomber
Tester
Apr 7, 2022, 07:43
Hi chaneman. Interesting as this is no longer working. Is the regression version 0.242?
User avatar
No.20021
Steve Coomber
Tester
Apr 7, 2022, 08:39
I loaded up several earlier releases of MAME and the same issues that you have reported are still present. I will continue to look at this.
User avatar
No.20031
chaneman
Tester
Apr 7, 2022, 17:57
Looks like it was added in .174b but not correct from the start.
Function wise a good start, just combination and labeling are bit off.
User avatar
No.20032
Steve Coomber
Tester
Apr 7, 2022, 18:10
Yeh. It should be a quick fix. So far I haven't found an input for the service mode however.
User avatar
No.20033
kmg
Tester
Apr 7, 2022, 18:17
It’s a bootleg of theend, which doesn’t have a service mode dip. You won’t find one.
User avatar
No.20035
chaneman
Tester
Apr 7, 2022, 18:43
edited on: Apr 7, 2022, 20:42
Yes, what kmg said. Doesn't make sense for bootleggers to take the time to "add" functionality to a game they ripped off.
Seldom is the case although possible. That being said would it not make sense to clean up the DIPS for this and not show
all the Unknown which are actually Unused at this time as well? I understand that the hardware would have all these I/O
ports available from the start but once the original functions are determined to match the parent set it was derived from
can we just hide the uneeded ones from us end users? Pending approval of course.

For instance the original Konami The End only had a 5 and Stern had a 6 switch DIP on board, (schematics show 5) this bootleg still has 8 unknowns!
User avatar
No.20040
Steve Coomber
Tester
Apr 8, 2022, 08:20
Thanks for information kmg. I expected it to not have a service mode but I wanted to be 100% sure. The driver assumes that there is one currently!!

chaneman, do we have a photo available for this board showing the number of DIPs? This will give me justification to remove the unknowns. Thanks in advance
User avatar
No.20041
Osso
Developer
Apr 8, 2022, 09:44
You can see a pic here: http://www.citylan.it/wiki/index.php/Take_Off_(bootleg_of_The_End)
User avatar
No.20042
Steve Coomber
Tester
Apr 8, 2022, 13:10
Thanks Osso. I can see 16 DIP switches in total so that probably explains the number of Unknown DIP's.
User avatar
No.20044
Steve Coomber
Tester
Apr 9, 2022, 17:26
I have just submitted a fix for this